Subject: Re: bug#33277: 25.1; icalendar-import-file incorrectly imports events with same start/end time

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 10 Jul 2019 15:10:04 +0200

Stefan van der Walt <[email-masked]> writes:

> When importing an ical file containing an event with the same start and
> end time, that event is converted to an all-day event.

[...]

> I import it using:
>
> (icalendar-import-file "/tmp/basic.ics" "/tmp/basic.diary")
>
> And in basic.diary see:
>
> 11/5/2018 event with same start/end time

But is that the same as an all-day event?

> Instead of:
> 11/5/2018 12:00-12:00

Yes, that would be more logical...

> The source code (icalendar.el) mentions the following:
>
> ;;   Please note:
> ;; - Diary entries which have a start time but no end time are assumed to
> ;;   last for one hour when they are exported.
>
> Still, then I would expect the diary entry to be:
>
> 11/5/2018 12:00-13:00

This seems to all be very inconsistent.  I rarely use diary myself, but
what would users expect here?  Exporting the event with 12:00-12:00
would be consistent, at least.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no